Package com.sas.services.information.search

# Class DisplayNameFilter

java.lang.Object
com.sas.services.information.search.ObjectNameFilter
com.sas.services.information.search.DisplayNameFilter

All Implemented Interfaces:
  `SearchFilter`, `Serializable`

public class DisplayNameFilter extends ObjectNameFilter implements SearchFilter, Serializable
The DisplayNameFilter class is used to filter or search for objects by their DisplayName and Name attributes. For instance, applications can search for only those objects that have the word "SAS" contained within their name. This class supports searching for this value within an object's description as well. Since this filter supports searching object names, this class should not be used in conjunction with `ObjectNameFilter` within the same search operation.

Important: This class is intended to be used only when searching on metadata types that support the DisplayName attribute. Not all types support this attribute, so this should not be used generically for all objects. If the type(s) being searched on do not support the DisplayName, the search may return unexpected results.

Since:
  9.3
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `METADATA_DISPLAY_NAME`

  ### Fields inherited from class com.sas.services.information.search.ObjectNameFilter

  `_filterDescription, _includeDescription, _name, _searchOperator, METADATA_DESC, METADATA_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DisplayNameFilter(String name, boolean includeDescription)`
  `DisplayNameFilter(String name, boolean includeDescription, SearchOperator searchOperator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `FilterComponent`
  `getFilterComponent()`
  Returns the filter component used for processing this search criteria

  ### Methods inherited from class com.sas.services.information.search.ObjectNameFilter

  `getDefaultOperator, getFilterDescription, getFilterType, getName, getSearchOperator, isIncludingDescription`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.search.SearchFilter

  `getFilterDescription, getFilterType`

- ## Field Details

  - ### METADATA_DISPLAY_NAME

    protected static final String METADATA_DISPLAY_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DisplayNameFilter

    public DisplayNameFilter(String name, boolean includeDescription)
    Parameters:
      `name` -
      `includeDescription` -

  - ### DisplayNameFilter

    public DisplayNameFilter(String name, boolean includeDescription, SearchOperator searchOperator)
    Parameters:
      `name` -
      `includeDescription` -
      `searchOperator` -

- ## Method Details

  - ### getFilterComponent

    public FilterComponent getFilterComponent()
    Description copied from interface: `SearchFilter`
    Returns the filter component used for processing this search criteria
    Specified by:
      `getFilterComponent` in interface `SearchFilter`
    Overrides:
      `getFilterComponent` in class `ObjectNameFilter`
    Returns:
      filter component

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `ObjectNameFilter`